Subject: [bug#31208] [PATCH 0/3] Add 'strip-runpath' in (guix build gremlin)

From: [email-masked] (Ludovic Courtès)
Date: Mon, 07 May 2018 11:32:31 +0200

[email-masked] (Ludovic Courtès) skribis:

> Peter Mikkelsen <[email-masked]> skribis:

[...]

>> I think I remember something about the meson developers saying that it
>> is no problem, since libnautilus will be installed in a standard
>> location or something,
>> but I really don't remember, sorry..
>
> What Libtool does is that it “relinks” executables upon “make install”
> so that they have the correct RUNPATH.

I found this issue, which mentions the problem:

  https://github.com/mesonbuild/meson/issues/2121#issuecomment-377971590

It’s a pity this isn’t properly solved.  :-/

Ludo’.